Classification Rule
Management of Classification Rules.
Finds Classification Rules based on the provided criteria.
Collibra REST API authentication using Basic Authentication.
The ID of a Data Class.
The index of the first result to retrieve.
If not set (offset = 0), results will be retrieved starting from row 0.
0The maximum number of results to retrieve.
If not set, the default limit (limit = 50) will be used. The maximum value for this parameter is
1000.
50Correlation ID used to relate logs occurring in distinct system components.
Classification Rules successfully retrieved.
Invalid request to find Data Classes.
The client is not authenticated.
The user lacks permissions.
An unexpected error occurred.
GET /rest/classification/v1/classificationRules HTTP/1.1
Authorization: Basic username:password
Accept: */*
{
"results": []
}Create a new Classification Rule under a given Data Class.
Collibra REST API authentication using Basic Authentication.
Correlation ID used to relate logs occurring in distinct system components.
Request to create a Classification Rule under an existing Data Class.
Only the type and dataClassId properties are mandatory when creating a new Classification Rule.
Classification Rule successfully created.
A ClassificationRule defines a read-only representation of a rule.
Invalid request
The client is not authenticated.
The user lacks permissions.
An unexpected error occurred.
POST /rest/classification/v1/classificationRules HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 236
{
"type": "REGULAR_EXPRESSION",
"dataClassId": "e8c8e107-442f-4ca9-a789-bb382e394b40",
"description": "Standard email address regular expression.",
"regularExpression": "/^[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+@[a-zA-Z0-9-]+(?:\\.[a-zA-Z0-9-]+)*$/."
}{
"id": "f914145f-4356-4e5d-9fe9-b2d666d5db73",
"type": "LIST_OF_VALUES",
"dataClassId": "930828ce-8f17-4a77-ae23-7081eed104a0",
"description": "Rule based on a sample list of values.",
"listOfValues": {
"valueCount": 5,
"firstValues": [
"Value 1",
"Value 2",
"Value 3",
"Value 4",
"Value 5"
]
},
"createdBy": "c4391a65-38ba-4b83-97fe-218811bf1b18",
"createdOn": 1475503010320,
"lastModifiedBy": "c4391a65-38ba-4b83-97fe-218811bf1b18",
"lastModifiedOn": 1475503010320
}Returns a specific Classification Rule.
For the Classification Rules of type LIST_OF_VALUES, this endpoint only returns a summary of the List Of Values. This summary includes the following information:
The identifier of the list (
id)The number of values (
valueCount)The first 1,000 values (
firstValues).
To retrieve all the values defined inside a specific List Of Values, the following endpoints can be used:
/classificationRules/{classificationRuleId}/values, which returns the values in a JSON document. This endpoint supports pagination./classificationRules/{classificationRuleId}/valuesAsFile, which returns all the values as a file.
Collibra REST API authentication using Basic Authentication.
The ID of a Classification Rule.
Correlation ID used to relate logs occurring in distinct system components.
Classification Rule successfully retrieved.
A ClassificationRule defines a read-only representation of a rule.
The client is not authenticated.
The user lacks permissions.
Resource not found.
An unexpected error occurred.
GET /rest/classification/v1/classificationRules/{classificationRuleId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
{
"id": "f914145f-4356-4e5d-9fe9-b2d666d5db73",
"type": "LIST_OF_VALUES",
"dataClassId": "930828ce-8f17-4a77-ae23-7081eed104a0",
"description": "Rule based on a sample list of values.",
"listOfValues": {
"valueCount": 5,
"firstValues": [
"Value 1",
"Value 2",
"Value 3",
"Value 4",
"Value 5"
]
},
"createdBy": "c4391a65-38ba-4b83-97fe-218811bf1b18",
"createdOn": 1475503010320,
"lastModifiedBy": "c4391a65-38ba-4b83-97fe-218811bf1b18",
"lastModifiedOn": 1475503010320
}Delete a Classification Rule by its identifier.
Collibra REST API authentication using Basic Authentication.
The ID of a Classification Rule.
Correlation ID used to relate logs occurring in distinct system components.
Classification Rule successfully deleted.
No content
Invalid request
The client is not authenticated.
The user lacks permissions.
An unexpected error occurred.
DELETE /rest/classification/v1/classificationRules/{classificationRuleId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
No content
Update an existing Classification Rule.
You can use this endpoint to update a List Of Values that contains maximum 1,000 values. To update a List Of Values that is larger than 1,000 values, use the /listOfValues/{listOfValuesId}/valuesUpload endpoint.
Collibra REST API authentication using Basic Authentication.
The ID of a Classification Rule.
Correlation ID used to relate logs occurring in distinct system components.
Request to change a Classification Rule.
The List Of Values was successfully updated.
A ClassificationRule defines a read-only representation of a rule.
Invalid request
The client is not authenticated.
The user lacks permissions.
Resource not found.
An unexpected error occurred.
PATCH /rest/classification/v1/classificationRules/{classificationRuleId} HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 86
{
"type": "LIST_OF_VALUES",
"values": [
"Value 1",
"Value 2",
"Value 3",
"Value 4",
"Value 5"
]
}{
"id": "f914145f-4356-4e5d-9fe9-b2d666d5db73",
"type": "LIST_OF_VALUES",
"dataClassId": "930828ce-8f17-4a77-ae23-7081eed104a0",
"description": "Rule based on a sample list of values.",
"listOfValues": {
"valueCount": 5,
"firstValues": [
"Value 1",
"Value 2",
"Value 3",
"Value 4",
"Value 5"
]
},
"createdBy": "c4391a65-38ba-4b83-97fe-218811bf1b18",
"createdOn": 1475503010320,
"lastModifiedBy": "c4391a65-38ba-4b83-97fe-218811bf1b18",
"lastModifiedOn": 1475503010320
}Returns the values of a given Classification Rule as a file.
Please note that this endpoint is only applicable to Classification Rules with type LIST_OF_VALUES. If the identified Classification Rule is of a different type, this endpoint returns a 400 response.
The file returned by this endpoint is a text file (text/plain) in which each value is defined as a separate line. The following characters are supported as valid value separators:
Carriage return (aka
CRor\r)Line feed (aka
LFor\n)The end of line sequence composed of those 2 characters (aka
EOLor\r\n)
Collibra REST API authentication using Basic Authentication.
The ID of a Classification Rule.
Correlation ID used to relate logs occurring in distinct system components.
Values file successfully returned.
The client is not authenticated.
The user lacks permissions.
Resource not found.
An unexpected error occurred.
GET /rest/classification/v1/classificationRules/{classificationRuleId}/valuesAsFile HTTP/1.1
Authorization: Basic username:password
Accept: */*
textUpdate the List Of Values defined for a specific Classification Rule.
Please note that this endpoint is only applicable to Classification Rules with type LIST_OF_VALUES. If the identified Classification Rule is of a different type, this endpoint returns a 400 response.
This endpoint can be used to upload any List of Values, regardless of its size. However, it must be used to create a List Of Values containing more than 1,000 values.
The file provided to this endpoint must be a text file (text/plain) in which each value is defined as a separate line. The following characters are supported as valid value separators:
Carriage return (aka
CRor\r)Line feed (aka
LFor\n)The end of line sequence composed of those 2 characters (aka
EOLor\r\n)
Collibra REST API authentication using Basic Authentication.
The ID of a Classification Rule.
Correlation ID used to relate logs occurring in distinct system components.
Files containing the values (1 value per line)
List Of Values successfully updated inside a Classification Rule.
Classification Rule based on a List Of Values.
The ID of a Classification Rule.
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163RuleType used by the rule.
The following values are currently supported:
REGULAR_EXPRESSIONREGULAR_EXPRESSION_COLUMN_NAMEDATA_TYPELIST_OF_VALUESCODE_SETLIKEGREATER_THANLESS_THANEQUALBETWEEN
When creating or updating a Classification Rule, the following values are also supported:
LIST_OF_VALUES_INLINE_ARRAYLIST_OF_VALUES_INLINE_CSV
These additional types are automatically converted into LIST_OF_VALUES and will be retrieved as such with GET endpoints.
REGULAR_EXPRESSIONThe ID of the Data Class.
A description of a Classification Rule.
Rule based on the email address regular expression.Invalid request.
The client is not authenticated.
The user lacks permissions.
An unexpected error occurred.
PUT /rest/classification/v1/classificationRules/{classificationRuleId}/valuesAsFile HTTP/1.1
Authorization: Basic username:password
Content-Type: multipart/form-data
Accept: */*
Content-Length: 17
{
"file": "binary"
}{
"id": "f914145f-4356-4e5d-9fe9-b2d666d5db73",
"type": "LIST_OF_VALUES",
"dataClassId": "930828ce-8f17-4a77-ae23-7081eed104a0",
"description": "Rule based on a sample list of values.",
"listOfValues": {
"valueCount": 5,
"firstValues": [
"Value 1",
"Value 2",
"Value 3",
"Value 4",
"Value 5"
]
},
"createdBy": "c4391a65-38ba-4b83-97fe-218811bf1b18",
"createdOn": 1475503010320,
"lastModifiedBy": "c4391a65-38ba-4b83-97fe-218811bf1b18",
"lastModifiedOn": 1475503010320
}Returns the values defined in the List Of Values of a given Classification Rule. This endpoint provides the ability to retrieve all the values defined for a specific Classification Rule, using paging if required.
Please note that this endpoint is only applicable to Classification Rules with type LIST_OF_VALUES. If the identified Classification Rule is of a different type, this endpoint returns a 400 response.
Collibra REST API authentication using Basic Authentication.
The ID of a Classification Rule.
The cursor pointing to the first resource to be included in the response. This cursor cannot be created and must have been extracted from a response returned by a previous API call.
If this parameter is missing, the API will return the resources starting from the first resource available (index=0).
The maximum number of results to retrieve.
If not set, the default limit (limit = 50) will be used. The maximum value for this parameter is
1000.
50Values successfully returned.
An opaque cursor that can be used to query the next page of results.
234iurjfklsefhr2cil3459jfThe list of results.
/^[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+@[a-zA-Z0-9-]+(?:\.[a-zA-Z0-9-]+)*$/.The client is not authenticated.
The user lacks permissions.
Resource not found.
An unexpected error occurred.
GET /rest/classification/v1/classificationRules/{classificationRuleId}/values HTTP/1.1
Authorization: Basic username:password
Accept: */*
{
"nextCursor": "iurwfejlweinwtywkxnctwltcqlyl",
"results": [
"Value 1",
"Value 2",
"Value 3",
"Value 4",
"Value 5"
]
}Last updated
Was this helpful?